"use strict";
exports.__esModule = true;
exports.EssenceCard = void 0;
var tslib_1 = require("tslib");
// @ts-nocheck
var react_1 = (0, tslib_1.__importDefault)(require("react"));
var PropsWithAsAttributes_1 = require("../../utils/types/PropsWithAsAttributes");
var BlogCard_1 = require("../BlogCard/BlogCard");
var DefaultCard_1 = require("../DefaultCard/DefaultCard");
var EventCard_1 = require("../EventCard/EventCard");
var ExternalCard_1 = require("../ExternalCard/ExternalCard");
var TestimonialCard_1 = require("../TestimonialCard/TestimonialCard");
var VideoCard_1 = require("../VideoCard/VideoCard");
// Post = 0,
// ExternalPost = 1,
// Video = 2,
// Event = 3,
// Landing = 4,
// News = 5,
// Offering = 6,
// Testimonial = 7
exports.EssenceCard = (0, PropsWithAsAttributes_1.forwardRefWithAs)(function (props, ref) {
    var contentType = props.contentType;
    if (contentType === 0) {
        return react_1["default"].createElement(BlogCard_1.BlogCard, (0, tslib_1.__assign)({}, props));
    }
    if (contentType === 1) {
        // return 'none card for ExternalPost';
        return react_1["default"].createElement(ExternalCard_1.ExternalCard, (0, tslib_1.__assign)({}, props));
    }
    if (contentType === 2) {
        return react_1["default"].createElement(VideoCard_1.VideoCard, (0, tslib_1.__assign)({}, props));
    }
    if (contentType === 3) {
        return react_1["default"].createElement(EventCard_1.EventCard, (0, tslib_1.__assign)({}, props));
    }
    if (contentType === 4) {
        return react_1["default"].createElement(DefaultCard_1.DefaultCard, (0, tslib_1.__assign)({}, props));
    }
    if (contentType === 5) {
        return react_1["default"].createElement(DefaultCard_1.DefaultCard, (0, tslib_1.__assign)({}, props));
    }
    if (contentType === 6) {
        return react_1["default"].createElement(DefaultCard_1.DefaultCard, (0, tslib_1.__assign)({}, props));
    }
    if (contentType === 7) {
        return react_1["default"].createElement(TestimonialCard_1.TestimonialCard, (0, tslib_1.__assign)({}, props));
    }
    return 'none contentType in essencecard';
    // return <BlogCard {...props} />;
});
